﻿.numpad-dialog {
    left: calc(50% - 180px) !important;
    width: 360px;
}

    .numpad-dialog.open {
        top: calc(50% - 210px) !important;
        height: 420px;
    }

    .numpad-dialog .wrapper, .numpad-dialog .body, .numpad-dialog .feature {
        width: 360px;
    }

    .numpad-dialog .text {
        margin-bottom: 1rem;
    }

/* 數字鍵 */
.numpad-zone table {
    width: 100%; /* 調整鍵盤總寬度 */
    height: 100%;
    text-align: center;
    border-collapse: separate;
    border-spacing: 0;
}


    .numpad-zone table td {
        padding: 5px 0;
        font-size: 24px;
        font-weight: bold;
        cursor: pointer;
        aspect-ratio: 1 / 1;
        width: 25%;
        border: 1px solid rgb(222, 226, 230);
    }

        .numpad-zone table td.gray {
            background-color: #f9f9f9;
        }

        .numpad-zone table td:hover, .numpad table td:active {
            background-color: #f9f9f9;
        }

    .numpad-zone table .empty {
        background: transparent;
        cursor: default;
    }

    /*第一欄第一列：左上*/
    .numpad-zone table tr:first-child td:first-child {
        border-top-left-radius: 0.25rem;
    }
    /*第一欄最後列：左下*/
    .numpad-zone table tr:last-child td:first-child {
        border-bottom-left-radius: 0.25rem;
    }
    /*最後欄第一列：右上*/
    .numpad-zone table tr:first-child td:last-child {
        border-top-right-radius: 0.25rem;
    }
    /*最後欄第一列：右下*/
    .numpad-zone table tr:last-child td:last-child {
        border-bottom-right-radius: 0.25rem;
    }
